%global pypi_name alembic

%define version 0.6.0
%define python3 1
Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        A database migration tool for SQLAlchemy

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       %{pypi_name}
Requires:       python-mako
Requires:       python-sqlalchemy

%description
A database migration tool for SQLAlchemy

%package -n %{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python

%description -n %{pypi_name}
A database migration tool for SQLAlchemy

%if %python3
%package -n python3-%{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python

Requires:       %{pypi_name}
Requires:       python3-mako
Requires:       python3-sqlalchemy

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
A database migration tool for SQLAlchemy
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%apply_patches

cp -a . %{py3dir}

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%_bindir/*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%endif


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543040
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498087
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.6.0-1.mga4
+ Revision: 492602
- imported package python-alembic

